Overview
PUT
/persona/models/{id}personaUpdate models
Replace a record in models by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- templateIdoptionalstring
- nameoptionalstring
Example
{
"templateId": "string",
"name": "string"
}Responses
200
models
- idstring
- templateIdstring
- namestring
- createdAtstring
Example
{
"id": "string",
"templateId": "string",
"name": "string",
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona/models/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"templateId": "string",
"name": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/models/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"templateId\": \"string\",\n \"name\": \"string\"\n}",
});
const data = await res.json();